#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n, l;
    cin >> n >> l;
    int a[n];
    for(int i=0; i<n; i++)
    {
        cin >> a[i];
    }
    int i = 0;
    while(a[i] > l)
    {
        i++;
    }
    if(i == n)
    {
        cout << -1;
    }
    else
    {
        cout << i+1;
    }

    return 0;
}